<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>HTMLMetaTags (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HTMLMetaTags (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HTMLMetaTags.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../org/apache/nutch/parse/HtmlParseFilter.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/HTMLMetaTags.html" target="_top">Frames</a></li>
<li><a href="HTMLMetaTags.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.parse</div>
<h2 title="Class HTMLMetaTags" class="title">Class HTMLMetaTags</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.parse.HTMLMetaTags</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">HTMLMetaTags</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class holds the information about HTML "meta" tags extracted from a
 page. Some special tags have convenience methods for easy checking.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#HTMLMetaTags--">HTMLMetaTags</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getBaseHref--">getBaseHref</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getGeneralTags--">getGeneralTags</a></span>()</code>
<div class="block">Returns all collected values of the general meta tags.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getHttpEquivTags--">getHttpEquivTags</a></span>()</code>
<div class="block">Returns all collected values of the "http-equiv" meta tags.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getNoCache--">getNoCache</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getNoFollow--">getNoFollow</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getNoIndex--">getNoIndex</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getRefresh--">getRefresh</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getRefreshHref--">getRefreshHref</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getRefreshTime--">getRefreshTime</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#reset--">reset</a></span>()</code>
<div class="block">Sets all boolean values to <code>false</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setBaseHref-java.net.URL-">setBaseHref</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;baseHref)</code>
<div class="block">Sets the <code>baseHref</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setCache--">setCache</a></span>()</code>
<div class="block">Sets <code>noCache</code> to <code>false</code>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setFollow--">setFollow</a></span>()</code>
<div class="block">Sets <code>noFollow</code> to <code>false</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setIndex--">setIndex</a></span>()</code>
<div class="block">Sets <code>noIndex</code> to <code>false</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setNoCache--">setNoCache</a></span>()</code>
<div class="block">Sets <code>noCache</code> to <code>true</code>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setNoFollow--">setNoFollow</a></span>()</code>
<div class="block">Sets <code>noFollow</code> to <code>true</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setNoIndex--">setNoIndex</a></span>()</code>
<div class="block">Sets <code>noIndex</code> to <code>true</code>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setRefresh-boolean-">setRefresh</a></span>(boolean&nbsp;refresh)</code>
<div class="block">Sets <code>refresh</code> to the supplied value.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setRefreshHref-java.net.URL-">setRefreshHref</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;refreshHref)</code>
<div class="block">Sets the <code>refreshHref</code>.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#setRefreshTime-int-">setRefreshTime</a></span>(int&nbsp;refreshTime)</code>
<div class="block">Sets the <code>refreshTime</code>.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HTMLMetaTags--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HTMLMetaTags</h4>
<pre>public&nbsp;HTMLMetaTags()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block">Sets all boolean values to <code>false</code>. Clears all other tags.</div>
</li>
</ul>
<a name="setNoFollow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoFollow</h4>
<pre>public&nbsp;void&nbsp;setNoFollow()</pre>
<div class="block">Sets <code>noFollow</code> to <code>true</code>.</div>
</li>
</ul>
<a name="setFollow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFollow</h4>
<pre>public&nbsp;void&nbsp;setFollow()</pre>
<div class="block">Sets <code>noFollow</code> to <code>false</code>.</div>
</li>
</ul>
<a name="setNoIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoIndex</h4>
<pre>public&nbsp;void&nbsp;setNoIndex()</pre>
<div class="block">Sets <code>noIndex</code> to <code>true</code>.</div>
</li>
</ul>
<a name="setIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndex</h4>
<pre>public&nbsp;void&nbsp;setIndex()</pre>
<div class="block">Sets <code>noIndex</code> to <code>false</code>.</div>
</li>
</ul>
<a name="setNoCache--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoCache</h4>
<pre>public&nbsp;void&nbsp;setNoCache()</pre>
<div class="block">Sets <code>noCache</code> to <code>true</code>.</div>
</li>
</ul>
<a name="setCache--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCache</h4>
<pre>public&nbsp;void&nbsp;setCache()</pre>
<div class="block">Sets <code>noCache</code> to <code>false</code>.</div>
</li>
</ul>
<a name="setRefresh-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefresh</h4>
<pre>public&nbsp;void&nbsp;setRefresh(boolean&nbsp;refresh)</pre>
<div class="block">Sets <code>refresh</code> to the supplied value.</div>
</li>
</ul>
<a name="setBaseHref-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBaseHref</h4>
<pre>public&nbsp;void&nbsp;setBaseHref(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;baseHref)</pre>
<div class="block">Sets the <code>baseHref</code>.</div>
</li>
</ul>
<a name="setRefreshHref-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefreshHref</h4>
<pre>public&nbsp;void&nbsp;setRefreshHref(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;refreshHref)</pre>
<div class="block">Sets the <code>refreshHref</code>.</div>
</li>
</ul>
<a name="setRefreshTime-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefreshTime</h4>
<pre>public&nbsp;void&nbsp;setRefreshTime(int&nbsp;refreshTime)</pre>
<div class="block">Sets the <code>refreshTime</code>.</div>
</li>
</ul>
<a name="getNoIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoIndex</h4>
<pre>public&nbsp;boolean&nbsp;getNoIndex()</pre>
<div class="block">A convenience method. Returns the current value of <code>noIndex</code>.</div>
</li>
</ul>
<a name="getNoFollow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoFollow</h4>
<pre>public&nbsp;boolean&nbsp;getNoFollow()</pre>
<div class="block">A convenience method. Returns the current value of <code>noFollow</code>.</div>
</li>
</ul>
<a name="getNoCache--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoCache</h4>
<pre>public&nbsp;boolean&nbsp;getNoCache()</pre>
<div class="block">A convenience method. Returns the current value of <code>noCache</code>.</div>
</li>
</ul>
<a name="getRefresh--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefresh</h4>
<pre>public&nbsp;boolean&nbsp;getRefresh()</pre>
<div class="block">A convenience method. Returns the current value of <code>refresh</code>.</div>
</li>
</ul>
<a name="getBaseHref--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBaseHref</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;getBaseHref()</pre>
<div class="block">A convenience method. Returns the <code>baseHref</code>, if set, or
 <code>null</code> otherwise.</div>
</li>
</ul>
<a name="getRefreshHref--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefreshHref</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;getRefreshHref()</pre>
<div class="block">A convenience method. Returns the <code>refreshHref</code>, if set, or
 <code>null</code> otherwise. The value may be invalid if
 <a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getRefresh--"><code>getRefresh()</code></a>returns <code>false</code>.</div>
</li>
</ul>
<a name="getRefreshTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefreshTime</h4>
<pre>public&nbsp;int&nbsp;getRefreshTime()</pre>
<div class="block">A convenience method. Returns the current value of <code>refreshTime</code>
 . The value may be invalid if <a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html#getRefresh--"><code>getRefresh()</code></a>returns
 <code>false</code>.</div>
</li>
</ul>
<a name="getGeneralTags--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneralTags</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>&nbsp;getGeneralTags()</pre>
<div class="block">Returns all collected values of the general meta tags. Property names are
 tag names, property values are "content" values.</div>
</li>
</ul>
<a name="getHttpEquivTags--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHttpEquivTags</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;getHttpEquivTags()</pre>
<div class="block">Returns all collected values of the "http-equiv" meta tags. Property names
 are tag names, property values are "content" values.</div>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HTMLMetaTags.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../org/apache/nutch/parse/HtmlParseFilter.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/HTMLMetaTags.html" target="_top">Frames</a></li>
<li><a href="HTMLMetaTags.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
